<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 30/03/2016
 * Time: 21:56
 */

class JsScriptMap {

    public static function getFilePath($page) {

        if(DEBUG) {
            self::$defaultFiles = array_merge(self::$defaultFiles, self::$debugFiles);
        }

        if(isset(self::$mapJs[$page])) {
            return array_merge(self::$defaultFiles, self::$mapJs[$page]);
        }
        return self::$defaultFiles;

    }

    public static $debugFiles = array(
        "/bower_components/bootstrap-tabs-x/js/bootstrap-tabs-x.min.js",
        "/bower_components/jstree/dist/jstree.min.js"
    );

    private static $defaultFiles = array(
        "/bower_components/jquery/dist/jquery.min.js",
        "/bower_components/bootstrap/dist/js/bootstrap.min.js",
    );

    private static $mapJs = array (

        'home.html.tpl' => array(
            //'/js/admin.js'
        ),

    );
}

class CssFileMap {

    public static function getFilePath($page) {

        if(DEBUG) {
            self::$defaultFiles = array_merge(self::$defaultFiles, self::$debugFiles);
        }

        if(isset(self::$mapCss[$page])) {
            return array_merge(self::$defaultFiles, self::$mapCss[$page]);
        }
        return self::$defaultFiles;

    }

    public static $debugFiles = array(
        '/bower_components/bootstrap-tabs-x/css/bootstrap-tabs-x.min.css',
        '/css/debug.css',
        //'/bower_components/bootstrap-jstree-theme/dist/themes/bootstrap/style.min.css'
        "/bower_components/jstree/dist/themes/default/style.min.css"
    );

    private static $defaultFiles = array(
        '/bower_components/bootstrap/dist/css/bootstrap.min.css',
    );

    public static $mapCss = array (

//        'home.html.tpl' => array(
//            '/css/debug.css'
//        ),

    );
}